<?php
/**
 * Plugin Name: Keyinvoice
 * Version: 1.0.13
 */
defined( 'ABSPATH' ) or die( 'You Shall Not Pass!' );

if( file_exists(  dirname( __FILE__ ) . '/vendor/autoload.php' ) )
{
    require_once  dirname( __FILE__ ) . '/vendor/autoload.php';
}
if( !defined( 'KI_PLUGIN_PATH') )
    define( 'KI_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );

if( !defined( 'KI_PLUGIN_URL') )
    define( 'KI_PLUGIN_URL', plugin_dir_url(__FILE__) );

if( !defined( 'KI_PLUGIN_NAME') )
    define( 'KI_PLUGIN_NAME', plugin_basename( __FILE__ ) );

function ki_activate()
{
    KeyinvoiceWordpress\Utils\Activate::activate();
}
register_activation_hook( __FILE__, 'ki_activate' );

function ki_dectivate()
{
    KeyinvoiceWordpress\Utils\Deactivate::deactivate();
}
register_deactivation_hook( __FILE__, 'ki_dectivate' );

if( class_exists( 'KeyinvoiceWordpress\\Init' ) )
{
    KeyinvoiceWordpress\Init::boot();
}

if (!function_exists('write_log')) {
    function write_log ( $log )  {
        if ( true === WP_DEBUG ) {
            if ( is_array( $log ) || is_object( $log ) ) {
                error_log( print_r( $log, true ) );
            } else {
                error_log( $log );
            }
        }
    }
}
